List onboarded repositories for an organization
curl --request GET \
--url https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/organizations/{organization_id}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"repositories": [
{
"repository_id": "<string>",
"repository_name": "acme/backend",
"private": true,
"group_path": "<string>"
}
],
"next_cursor": "<string>"
}List organization repositories
Lists repositories that CodeRabbit currently records as active for an organization. The organization_id is the CodeRabbit organization UUID returned by GET /organizations. Enterprise plan only.
GET
/
v1
/
organizations
/
{organization_id}
/
repositories
List onboarded repositories for an organization

Lists the active repositories CodeRabbit records for an organization. Use the CodeRabbit organization UUID returned by List organizations as the
organization_id path parameter.Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Headers
User-scoped organization or workspace API key.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Opaque pagination cursor returned by the previous page.
Was this page helpful?
⌘I